Subject: Re: [PATCH 1/9] powerpc/44x: Add PowerPC 44x simple platform support

From: Roland Dreier <[email-masked]>
Date: Wed, 20 Aug 2008 10:19:02 -0700

> Except that logically doesn't make much sense.  Why would you have a
 > list of mpc52xx and 44x boards together?  They require completely
 > different kernels because the MMU and drive set is entirely different.
 > 
 > Or am I totally missing what you are saying?

Yeah, I wasn't clear -- I meant to add a new helper like
of_flat_dt_is_compatible_list() (not sure of the name) that takes a node
and a NULL-terminated array of strings, and then mpc5200_simple_probe()
can become a one-liner, along with mpc5121_generic_probe(),
tqm85xx_probe(), ppc44x_probe(), etc.

 - R.